diff tests/test-gendoc @ 10971:cbe400a8e217

doc: add generic frontend to rst2man and rst2html This will allow us to easily register new roles and directives.
author Martin Geisler <mg@aragost.com>
date Thu, 22 Apr 2010 09:57:04 +0200
parents 08a0f04b56bd
children 3b8ced3e3bbf
line wrap: on
line diff
--- a/tests/test-gendoc	Wed Apr 21 01:34:12 2010 +0200
+++ b/tests/test-gendoc	Thu Apr 22 09:57:04 2010 +0200
@@ -1,7 +1,6 @@
 #!/bin/sh
 
-"$TESTDIR/hghave" rst2html || exit 80
-RST2HTML=`which rst2html 2> /dev/null || which rst2html.py`
+"$TESTDIR/hghave" docutils || exit 80
 
 HGENCODING=UTF-8
 export HGENCODING
@@ -14,8 +13,8 @@
     echo "" >> gendoc-$LOCALE.txt
     LC_ALL=$LOCALE python $TESTDIR/../doc/gendoc.py >> gendoc-$LOCALE.txt || exit
 
-    # We run rst2html over the file without adding "--halt warning" to
-    # make it report all errors instead of stopping on the first one.
-    echo "checking for parse errors with rst2html"
-    $RST2HTML gendoc-$LOCALE.txt /dev/null
+    # We call runrst without adding "--halt warning" to make it report
+    # all errors instead of stopping on the first one.
+    echo "checking for parse errors"
+    python $TESTDIR/../doc/runrst html gendoc-$LOCALE.txt /dev/null
 done